Update a quote

Requires the QUOTE.UPDATE permission.

Authentication

X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

versionstringRequiredDefaults to 1
version
resourceIdstringRequiredDefaults to
The ID of the resource to be requested.

Headers

x-platform-idstringOptional
Platform ID.

Query parameters

field_actionsmap from strings to stringsOptional
The list of actions for specific fields.

Request

This endpoint expects an object.
customer_idstringOptional
The ID of the customer.
customerobject or nullOptional
descriptionstringOptional
The description of the quote.
contact_idstringOptional
The contact details for the quote.
owner_user_idstringOptional

The ID of the user that is owning/ creating the quote.

owner_userobject or nullOptional
custom_fieldslist of objects or nullOptional
template_idstring or nullOptional
The ID of the template used to create this quote.

Response

OK
object_typestring or nullRead-only
idstring or nullRead-only
created_atstring or nullRead-only
updated_atstring or nullRead-only
statusstring or nullRead-only
customer_idstring
The ID of the customer.
customerobject or null
descriptionstring
The description of the quote.
contact_idstring
The contact details for the quote.
owner_user_idstring

The ID of the user that is owning/ creating the quote.

owner_userobject or null
quote_version_infoslist of objects or nullRead-only
custom_fieldslist of objects or null
template_idstring or null
The ID of the template used to create this quote.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error